## goonies 1.4.1528

=== build/linux/Makefile ===
EXE = goonies
SRC = src
PREFIX = /usr
EXTRADIR = ./build/linux

GAMEDIR = $(PREFIX)/games
STARTUP = $(GAMEDIR)/$(EXE)
BINDIR = $(PREFIX)/share/games/$(EXE)
ICNDIR = $(PREFIX)/share/pixmaps
APPDIR = $(PREFIX)/share/applications

DATA = graphics maps sound
ICON = goonies.png
DESKTOP = goonies.desktop

OBJS = \
	$(SRC)/2DCMC.o			$(SRC)/auxiliar.o \
	$(SRC)/debug.o			$(SRC)/font_extractor.o \
	$(SRC)/geometrics.o		$(SRC)/GinterfaceBrowser.o \
	$(SRC)/GinterfaceButton.o	$(SRC)/GinterfaceConfirmation.o \
	$(SRC)/Ginterface.o		$(SRC)/GinterfaceMessage.o \
	$(SRC)/GinterfaceSButton.o	$(SRC)/GinterfaceText.o \
	$(SRC)/GinterfaceTextInput.o	$(SRC)/GLTile.o \
	$(SRC)/GLTManager.o		$(SRC)/GMap.o \
	$(SRC)/GMapLayer.o		$(SRC)/GO_bat.o \
	$(SRC)/GO_bigrock.o		$(SRC)/GObject.o \
	$(SRC)/GObjectCreator.o		$(SRC)/GO_bone.o \
	$(SRC)/GO_bridge.o		$(SRC)/GO_bullet.o \
	$(SRC)/GO_cagedoor.o		$(SRC)/GO_character.o \
	$(SRC)/GO_closingwall.o		$(SRC)/GO_coin.o \
	$(SRC)/GO_drop.o		$(SRC)/GO_dropgenerator.o \
	$(SRC)/GO_enemy.o		$(SRC)/GO_entrydoor.o \
	$(SRC)/GO_exitdoor.o		$(SRC)/GO_fallingrock.o \
	$(SRC)/GO_fallingwater.o	$(SRC)/GO_flame.o \
	$(SRC)/GO_fratelli.o		$(SRC)/GO_ghost.o \
	$(SRC)/GO_item.o		$(SRC)/GO_jumpingskull.o \
	$(SRC)/GO_key.o			$(SRC)/GO_lava.o \
	$(SRC)/GO_musicalnote.o		$(SRC)/GooniesScript.o \
	$(SRC)/GO_pipe_water.o		$(SRC)/GO_rope.o \
	$(SRC)/GO_skeleton.o		$(SRC)/GO_skull.o \
	$(SRC)/GO_skulldoor.o		$(SRC)/GO_trickyskull.o \
	$(SRC)/GO_water.o		$(SRC)/GO_wateropening.o \
	$(SRC)/GO_watersplash.o		$(SRC)/keyboardstate.o \
	$(SRC)/Level.o			$(SRC)/LevelPack.o \
	$(SRC)/main.o			$(SRC)/MusicManager.o \
	$(SRC)/PlacedGLTile.o		$(SRC)/ranrotb.o \
	$(SRC)/SDL_glutaux.o		$(SRC)/SFXManager.o \
	$(SRC)/sound.o			$(SRC)/SoundManager.o \
	$(SRC)/state_credits.o		$(SRC)/state_editor.o \
	$(SRC)/state_endsequence.o	$(SRC)/state_game.o \
	$(SRC)/state_gameover.o		$(SRC)/state_gamestart.o \
	$(SRC)/state_howtoplay.o	$(SRC)/state_interlevel.o \
	$(SRC)/state_konami.o		$(SRC)/state_mapeditor.o \
	$(SRC)/state_msx.o		$(SRC)/state_splash.o \
	$(SRC)/state_titleanimation.o	$(SRC)/state_title.o \
	$(SRC)/Symbol.o			$(SRC)/TheGooniesApp.o \
	$(SRC)/TheGoonies.o		$(SRC)/Vector.o

CC = gcc
CFLAGS = -g3 -O3 -Wno-write-strings `sdl-config --cflags` -I/usr/X11R6/include
LDFLAGS = `sdl-config --libs` -L/usr/X11R6/lib/ -lSDL_image -lSDL_mixer -lGL -lGLU
RM = rm -f
CP = cp -r
MD = mkdir -p
ECHO = echo
CHMOD = chmod
STRIP = strip

all: $(EXE)

%.o: %.cpp
	$(CC) $(CFLAGS) -c $< -o $@

$(EXE): $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@
	@$(STRIP) $@
	@$(ECHO) " o If there are no errors, the game compiled succesfully"

clean:
	@$(ECHO) " o Cleaning up source directory"
	@$(RM) $(SRC)/*.o $(SRC)/*.bak core $(EXE)

install: all
	@$(ECHO) " o Creating install directory $(BINDIR)"
	@$(MD) "$(BINDIR)"
	@$(ECHO) " o Installing game and data to $(BINDIR)"
	@$(CP) "$(EXE)" $(DATA) "$(BINDIR)"
	@$(ECHO) " o Creating startup script $(STARTUP)"
	@$(MD) "$(GAMEDIR)"
	@$(ECHO) "#!/bin/sh" >"$(STARTUP)"
	@$(ECHO) "cd \"$(BINDIR)\" && ./$(EXE)" >>"$(STARTUP)"
	@$(CHMOD) 755 "$(STARTUP)"
	@$(ECHO) " o Creating application menu entry"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(EXTRADIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(EXTRADIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) ""

uninstall:
	@$(ECHO) " o Removing game and data from $(BINDIR)"
	@$(RM) -r "$(BINDIR)"
	@$(ECHO) " o Removing startup script $(STARTUP)"
	@$(RM) "$(STARTUP)"
	@$(ECHO) " o Removing application menu entry"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) ""

=== debian/changelog ===
goonies (1.4.1528-1~getdeb2) groovy; urgency=medium

  * First release here, chuck in new tweaks (link flags order, standards
    version...)

 -- Chris <dpkg@chris-nz.com>  Mon, 10 May 2021 20:53:56 +1200

goonies (1.4.1528-1~getdeb1) jaunty; urgency=low

  * New upstream version

 -- Joao Pinto <joao.pinto@getdeb.net>  Thu, 23 Jul 2009 18:56:35 +0000

=== debian/control ===
Source: goonies
Section: games
Priority: optional
Maintainer: Joao Pinto <joao.pinto@getdeb.net>
Build-Depends: debhelper (>= 13),
	libsdl1.2-dev,
	libsdl-image1.2-dev,
	libsdl-mixer1.2-dev
Standards-Version: 4.5.1
Homepage: https://goonies.jorito.net/

Package: goonies
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, goonies-data (= ${source:Version})
Description: remake of the 8 bit classic game 'The Goonies'
 This game was made by Konami in 1986. There were both a NES version and an
 MSX version of the game; this remake is based on the MSX version.
 .
 The action takes place in the sleepy seaside town of Cauldron Point -
 down in an area known as the Goon Docks.
 The Goonies are a group of local kids - Mikey, Brand, Mouth, Chunk and Data.
 One day they find an old treasure map in Mikey's attic.
 Data figures that this must be the fabulous hidden treasure of the notorious
 local pirate, One-Eyed Willy.
 The girls, Andy and Stef, join the other Goonies and the adventure begins.
 But the secret underground tunnels they are exploring are actually the
 hideout of the Fratelli Gang, and the Goonies are soon trapped!
 The Goonies have a powerful ally on their side, however,
 in the form of the huge and amiable Sloth.
 .
 This package contains the platform-dependent files.

Package: goonies-data
Architecture: all
Depends: ${misc:Depends}
Description: remake of the 8 bit classic game 'The Goonies'
 This game was made by Konami in 1986. There were both a NES version and an
 MSX version of the game; this remake is based on the MSX version.
 .
 The action takes place in the sleepy seaside town of Cauldron Point -
 down in an area known as the Goon Docks.
 The Goonies are a group of local kids - Mikey, Brand, Mouth, Chunk and Data.
 One day they find an old treasure map in Mikey's attic.
 Data figures that this must be the fabulous hidden treasure of the notorious
 local pirate, One-Eyed Willy.
 The girls, Andy and Stef, join the other Goonies and the adventure begins.
 But the secret underground tunnels they are exploring are actually the
 hideout of the Fratelli Gang, and the Goonies are soon trapped!
 The Goonies have a powerful ally on their side, however,
 in the form of the huge and amiable Sloth.
 .
 This package contains architecture-independent assets.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
#
#CFLAGS = -g3 -O3 -Wno-write-strings `sdl-config --cflags` -I/usr/X11R6/include
#LDFLAGS = `sdl-config --libs` -L/usr/X11R6/lib/ -lSDL_image -lSDL_mixer -lGL -lGLU

%:
	dh "$@"

override_dh_auto_install:
	@echo -n

execute_after_dh_fixperms:
	chmod -R -x debian/goonies-data/usr/share/games/goonies/sound/*.*
	chmod -R -x debian/goonies-data/usr/share/games/goonies/sound/sfx/*.*
